Skip to main content
PUT
Update Directory

Authorizations

Authorization
string
header
required

JWT in Authorization header. 'Bearer ' prefix optional.

Path Parameters

directory_id
string<uuid>
required

Body

application/json

API request schema for updating a directory

name
string | null

New name for the directory

color
string | null

Hex color code for the directory icon (e.g. #1277B5)

client_performed_at
string<date-time> | null

When the client performed this action. Defaults to server time if not provided.

Response

Successful Response

API response schema for updating a directory

id
string<uuid>
required

Directory ID

name
string
required

Directory name

color
string
required

Hex color code for the directory icon

project_id
string<uuid>
required

ID of the project this directory belongs to

parent_id
string<uuid>
required

ID of the parent resource (directory or project)

created_by_user_id
string<uuid>
required

ID of the user that created the directory

created
string<date-time>
required

Creation timestamp

updated
string<date-time>
required

Last update timestamp

True when this item is a projected symlink

target_path
string[] | null

Symlink target path components

target_path_type
enum<string> | null

Symlink target path type

Available options:
relative,
internal_absolute,
external_absolute
target_resource_id
string<uuid> | null

Resolved target resource ID

target_resource_name
string | null

Resolved target resource name

target_resource_type
enum<string> | null

Resolved or hinted target resource type

Available options:
workspace,
project,
directory,
asset,
symlink,
collection
target_resolution_status
enum<string> | null

Symlink resolution status

Available options:
resolved,
dangling,
permission_denied,
external
actions
integer | null

User's permission bitmap on this directory

revision_id
string<uuid> | null

ID of the revision created by this operation

is_latest
boolean | null

Whether the revision is the overall latest